|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QMotifStyle Class Reference
[QtGui module]

The QMotifStyle class provides Motif look and feel. More...

     #include <QMotifStyle>

Inherits QCommonStyle.

Inherited by QCDEStyle.

- List of all members, including inherited members

### Public Functions

- QMotifStyle ( bool useHighlightCols = false )
- virtual ~QMotifStyle ()
- void setUseHighlightColors ( bool arg )
- bool useHighlightColors () const

- 23 public functions inherited from QStyle
- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 6 static public members inherited from QStyle
- 5 static public members inherited from QObject
- 7 protected functions inherited from QObject
- 2 protected slots inherited from QStyle

## Detailed Description

The QMotifStyle class provides Motif look and feel.

This class implements the Motif look and feel. It closely resembles the original Motif look as defined by the Open Group, but with some minor improvements. The Motif style is Qt's default GUI style on Unix platforms.

See also QWindowsXPStyle, QMacStyle, QWindowsStyle, QPlastiqueStyle, and QCDEStyle.

## Member Function Documentation

### QMotifStyle::QMotifStyle ( bool useHighlightCols = false )

Constructs a QMotifStyle.

If useHighlightCols is false (the default), the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

### QMotifStyle::~QMotifStyle () `[virtual]`

Destroys the style.

### void QMotifStyle::setUseHighlightColors ( bool arg )

If arg is false, the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

The effect will show up the next time an application palette is set via QApplication::setPalette(). The current color palette of the application remains unchanged.

See also useHighlightColors() and QStyle::polish().

### bool QMotifStyle::useHighlightColors () const

Returns true if the style treats the highlight colors of the palette in a Motif-like manner, which is a simple inversion between the base and the text color; otherwise returns false. The default is false.

See also setUseHighlightColors().